import type { RequestHandler } from '@sveltejs/kit';
import { deleteSession, getSession, sessionCookieName } from '$lib/server/session';
import { env as publicEnv } from '$env/dynamic/public';

export const POST = (async ({ cookies }) => {
	if (getSession(cookies) == null) {
		return new Response(null, {
			status: 401
		});
	}

	deleteSession(cookies);
	cookies.delete(sessionCookieName, { path: `${publicEnv.PUBLIC_BASE_PATH}/admin` });

	return new Response();
}) satisfies RequestHandler;
