import type { PageServerLoad } from './$types';
import { Feedback } from '$lib/server/database';
import { redirect } from '@sveltejs/kit';
import { env } from '$env/dynamic/public';

export const load: PageServerLoad = async ({ params }) => {
	const feedback = await Feedback.findOne({
		where: { url_hash: params.url_hash }
	});

	if (!feedback) throw redirect(302, `${env.PUBLIC_BASE_PATH}/`);

	return {
		draft: feedback.content === null,
		title: feedback.title,
		anonymous: feedback.user_id === null
	};
};
