import type { RequestHandler } from '@sveltejs/kit';
import { Feedback } from '$lib/server/database';
import { FeedbackSubmitSchema } from './schema';

export const POST = (async ({ request, params }) => {
	const feedback = await Feedback.findOne({ where: { url_hash: params.url_hash } });

	if (feedback == null) return new Response(null, { status: 400 });

	const parseResult = await FeedbackSubmitSchema.safeParseAsync(await request.json());
	if (!parseResult.success) {
		return new Response(null, { status: 400 });
	}
	const data = parseResult.data;

	feedback.content = data.content;
	// eslint-disable-next-line @typescript-eslint/ban-ts-comment
	// @ts-ignore
	if (data.anonymous) feedback.user_id = null;

	await feedback.save();

	return new Response(null, { status: 200 });
}) satisfies RequestHandler;
